Upstream information

CVE-2016-2827 at MITRE

Description

The mozilla::net::IsValidReferrerPolicy function in Mozilla Firefox before 49.0 allows remote attackers to cause a denial of service (out-of-bounds read and application crash) via a Content Security Policy (CSP) referrer directive with zero values.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.5
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entry: 999701 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 13.1
  • MozillaFirefox >= 49.0.1-125.2
  • MozillaFirefox-branding-upstream >= 49.0.1-125.2
  • MozillaFirefox-buildsymbols >= 49.0.1-125.2
  • MozillaFirefox-debuginfo >= 49.0.1-125.2
  • MozillaFirefox-debugsource >= 49.0.1-125.2
  • MozillaFirefox-devel >= 49.0.1-125.2
  • MozillaFirefox-translations-common >= 49.0.1-125.2
  • MozillaFirefox-translations-other >= 49.0.1-125.2
  • libfreebl3 >= 3.25-91.1
  • libfreebl3-32bit >= 3.25-91.1
  • libfreebl3-debuginfo >= 3.25-91.1
  • libfreebl3-debuginfo-32bit >= 3.25-91.1
  • libsoftokn3 >= 3.25-91.1
  • libsoftokn3-32bit >= 3.25-91.1
  • libsoftokn3-debuginfo >= 3.25-91.1
  • libsoftokn3-debuginfo-32bit >= 3.25-91.1
  • mozilla-nss >= 3.25-91.1
  • mozilla-nss-32bit >= 3.25-91.1
  • mozilla-nss-certs >= 3.25-91.1
  • mozilla-nss-certs-32bit >= 3.25-91.1
  • mozilla-nss-certs-debuginfo >= 3.25-91.1
  • mozilla-nss-certs-debuginfo-32bit >= 3.25-91.1
  • mozilla-nss-debuginfo >= 3.25-91.1
  • mozilla-nss-debuginfo-32bit >= 3.25-91.1
  • mozilla-nss-debugsource >= 3.25-91.1
  • mozilla-nss-devel >= 3.25-91.1
  • mozilla-nss-sysinit >= 3.25-91.1
  • mozilla-nss-sysinit-32bit >= 3.25-91.1
  • mozilla-nss-sysinit-debuginfo >= 3.25-91.1
  • mozilla-nss-sysinit-debuginfo-32bit >= 3.25-91.1
  • mozilla-nss-tools >= 3.25-91.1
  • mozilla-nss-tools-debuginfo >= 3.25-91.1
Patchnames:
2016-1128
openSUSE Leap 42.1
  • MozillaFirefox >= 49.0-33.1
  • MozillaFirefox-branding-upstream >= 49.0-33.1
  • MozillaFirefox-buildsymbols >= 49.0-33.1
  • MozillaFirefox-debuginfo >= 49.0-33.1
  • MozillaFirefox-debugsource >= 49.0-33.1
  • MozillaFirefox-devel >= 49.0-33.1
  • MozillaFirefox-translations-common >= 49.0-33.1
  • MozillaFirefox-translations-other >= 49.0-33.1
  • libfreebl3 >= 3.25-29.1
  • libfreebl3-32bit >= 3.25-29.1
  • libfreebl3-debuginfo >= 3.25-29.1
  • libfreebl3-debuginfo-32bit >= 3.25-29.1
  • libsoftokn3 >= 3.25-29.1
  • libsoftokn3-32bit >= 3.25-29.1
  • libsoftokn3-debuginfo >= 3.25-29.1
  • libsoftokn3-debuginfo-32bit >= 3.25-29.1
  • mozilla-nss >= 3.25-29.1
  • mozilla-nss-32bit >= 3.25-29.1
  • mozilla-nss-certs >= 3.25-29.1
  • mozilla-nss-certs-32bit >= 3.25-29.1
  • mozilla-nss-certs-debuginfo >= 3.25-29.1
  • mozilla-nss-certs-debuginfo-32bit >= 3.25-29.1
  • mozilla-nss-debuginfo >= 3.25-29.1
  • mozilla-nss-debuginfo-32bit >= 3.25-29.1
  • mozilla-nss-debugsource >= 3.25-29.1
  • mozilla-nss-devel >= 3.25-29.1
  • mozilla-nss-sysinit >= 3.25-29.1
  • mozilla-nss-sysinit-32bit >= 3.25-29.1
  • mozilla-nss-sysinit-debuginfo >= 3.25-29.1
  • mozilla-nss-sysinit-debuginfo-32bit >= 3.25-29.1
  • mozilla-nss-tools >= 3.25-29.1
  • mozilla-nss-tools-debuginfo >= 3.25-29.1
Patchnames:
openSUSE-2016-1119
openSUSE Leap 42.2
  • MozillaFirefox >= 49.0.2-37.1
  • MozillaFirefox-translations-common >= 49.0.2-37.1
Patchnames:
openSUSE Leap 42.2 GA MozillaFirefox
openSUSE Leap 42.3
  • MozillaFirefox >= 52.2-58.2
  • MozillaFirefox-translations-common >= 52.2-58.2
Patchnames:
openSUSE Leap 42.3 GA MozillaFirefox
openSUSE Tumbleweed
  • MozillaFirefox >= 50.1.0-1.1
  • MozillaFirefox-branding-upstream >= 50.1.0-1.1
  • MozillaFirefox-buildsymbols >= 50.1.0-1.1
  • MozillaFirefox-devel >= 50.1.0-1.1
  • MozillaFirefox-translations-common >= 50.1.0-1.1
  • MozillaFirefox-translations-other >= 50.1.0-1.1
Patchnames:
openSUSE Tumbleweed GA MozillaFirefox


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 MozillaFirefox Released
SUSE Linux Enterprise Desktop 11 SP3 MozillaFirefox Released
SUSE Linux Enterprise Desktop 11 SP4 MozillaFirefox Released
SUSE Linux Enterprise Desktop 12 GA MozillaFirefox Released
SUSE Linux Enterprise Desktop 12 SP1 MozillaFirefox Released
SUSE Linux Enterprise Desktop 12 SP2 MozillaFirefox In progress
SUSE Linux Enterprise SDK 11 SP3 MozillaFirefox Released
SUSE Linux Enterprise SDK 11 SP4 MozillaFirefox Released
SUSE Linux Enterprise SDK 12 GA MozillaFirefox Released
SUSE Linux Enterprise SDK 12 SP1 MozillaFirefox Released
SUSE Linux Enterprise SDK 12 SP2 MozillaFirefox In progress
SUSE Linux Enterprise Server 10 SP4 LTSS MozillaFirefox Affected
SUSE Linux Enterprise Server 11 SP1 LTSS MozillaFirefox Released
SUSE Linux Enterprise Server 11 SP2 MozillaFirefox Released
SUSE Linux Enterprise Server 11 SP2 LTSS MozillaFirefox Released
SUSE Linux Enterprise Server 11 SP3 MozillaFirefox Released
SUSE Linux Enterprise Server 11 SP3 LTSS MozillaFirefox Released
SUSE Linux Enterprise Server 11 SP4 MozillaFirefox Released
SUSE Linux Enterprise Server 12 GA MozillaFirefox Released
SUSE Linux Enterprise Server 12 SP1 MozillaFirefox Released
SUSE Linux Enterprise Server 12 SP2 MozillaFirefox In progress
SUSE Linux Enterprise Server 12 SP2 for Raspberry Pi MozillaFirefox In progress
SUSE Linux Enterprise Server for SAP 11 SP2 MozillaFirefox Released